# Packing Configuration (Operations)

Endpoints to create, update and read packing configuration.

## GET /api/configurations/packing

> Get packing config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read packing configuration.","name":"Packing Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PackingConfigurations":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"documentHandlingConfiguration":{"$ref":"#/components/schemas/DocumentHandlingConfiguration"},"packingContainerRequiredConfiguration":{"$ref":"#/components/schemas/PackingContainerRequiredConfiguration"},"packingItemConfirmationNeededConfiguration":{"$ref":"#/components/schemas/PackingItemConfirmationNeededConfiguration"},"packingSourceContainerConfiguration":{"$ref":"#/components/schemas/PackingSourceContainerConfiguration"},"scanningConfiguration":{"$ref":"#/components/schemas/PackingScanningConfiguration"}},"type":"object","title":"PackingConfigurations","description":"PackingConfigurations"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"DocumentHandlingConfiguration":{"description":"The configuration allows documents that have been added to the document set of a pack job to be added to the process. The configuration sets the section names of the entities to which external documents will be added to. If the configuration set is empty, no external documents will be added to the process.","properties":{"inheritedDocumentConfigurations":{"items":{"$ref":"#/components/schemas/InheritedDocumentConfiguration"},"type":"array"}},"required":["inheritedDocumentConfigurations"],"title":"DocumentHandlingConfiguration","type":"object"},"InheritedDocumentConfiguration":{"properties":{"section":{"$ref":"#/components/schemas/Section"}},"required":["section"],"title":"InheritedDocumentConfiguration","description":"InheritedDocumentConfiguration"},"Section":{"enum":["ORDER","PACKJOB","PICKJOB","HANDOVERJOB","PARCEL","PACKING_TARGET_CONTAINER"],"type":"string","title":"Section","description":"Section"},"PackingContainerRequiredConfiguration":{"additionalProperties":false,"description":"Packing Container Required Configuration.","properties":{"active":{"default":false,"type":"boolean"}},"required":["active"],"title":"PackingContainerRequiredConfiguration","type":"object"},"PackingItemConfirmationNeededConfiguration":{"additionalProperties":false,"description":"Do the customer need to validate which items are part of a pack job","properties":{"active":{"default":true,"type":"boolean"}},"required":["active"],"title":"PackingContainerRequiredConfiguration","type":"object"},"PackingSourceContainerConfiguration":{"description":"Can this tenant use the packing source container","properties":{"active":{"default":false,"type":"boolean"}},"required":["active"],"title":"PackingSourceContainerConfiguration","type":"object"},"PackingScanningConfiguration":{"description":"Packing Scanning Configuration.","properties":{"scanningType":{"$ref":"#/components/schemas/PackingScanningConfigurationEnum"}},"title":"PackingScanningConfiguration","type":"object"},"PackingScanningConfigurationEnum":{"enum":["MUST_SCAN_EACH","SCAN_NOT_REQUIRED"],"type":"string","title":"PackingScanningConfigurationEnum","description":"PackingScanningConfigurationEnum"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/packing":{"get":{"operationId":"getPackingConfigurations","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackingConfigurations"}}},"description":"Central Configuration of all packing related things"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get packing config","tags":["Packing Configuration (Operations)"]}}}}
```

## PATCH /api/configurations/packing

> Update packing config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read packing configuration.","name":"Packing Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PackingConfigurations":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"documentHandlingConfiguration":{"$ref":"#/components/schemas/DocumentHandlingConfiguration"},"packingContainerRequiredConfiguration":{"$ref":"#/components/schemas/PackingContainerRequiredConfiguration"},"packingItemConfirmationNeededConfiguration":{"$ref":"#/components/schemas/PackingItemConfirmationNeededConfiguration"},"packingSourceContainerConfiguration":{"$ref":"#/components/schemas/PackingSourceContainerConfiguration"},"scanningConfiguration":{"$ref":"#/components/schemas/PackingScanningConfiguration"}},"type":"object","title":"PackingConfigurations","description":"PackingConfigurations"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"DocumentHandlingConfiguration":{"description":"The configuration allows documents that have been added to the document set of a pack job to be added to the process. The configuration sets the section names of the entities to which external documents will be added to. If the configuration set is empty, no external documents will be added to the process.","properties":{"inheritedDocumentConfigurations":{"items":{"$ref":"#/components/schemas/InheritedDocumentConfiguration"},"type":"array"}},"required":["inheritedDocumentConfigurations"],"title":"DocumentHandlingConfiguration","type":"object"},"InheritedDocumentConfiguration":{"properties":{"section":{"$ref":"#/components/schemas/Section"}},"required":["section"],"title":"InheritedDocumentConfiguration","description":"InheritedDocumentConfiguration"},"Section":{"enum":["ORDER","PACKJOB","PICKJOB","HANDOVERJOB","PARCEL","PACKING_TARGET_CONTAINER"],"type":"string","title":"Section","description":"Section"},"PackingContainerRequiredConfiguration":{"additionalProperties":false,"description":"Packing Container Required Configuration.","properties":{"active":{"default":false,"type":"boolean"}},"required":["active"],"title":"PackingContainerRequiredConfiguration","type":"object"},"PackingItemConfirmationNeededConfiguration":{"additionalProperties":false,"description":"Do the customer need to validate which items are part of a pack job","properties":{"active":{"default":true,"type":"boolean"}},"required":["active"],"title":"PackingContainerRequiredConfiguration","type":"object"},"PackingSourceContainerConfiguration":{"description":"Can this tenant use the packing source container","properties":{"active":{"default":false,"type":"boolean"}},"required":["active"],"title":"PackingSourceContainerConfiguration","type":"object"},"PackingScanningConfiguration":{"description":"Packing Scanning Configuration.","properties":{"scanningType":{"$ref":"#/components/schemas/PackingScanningConfigurationEnum"}},"title":"PackingScanningConfiguration","type":"object"},"PackingScanningConfigurationEnum":{"enum":["MUST_SCAN_EACH","SCAN_NOT_REQUIRED"],"type":"string","title":"PackingScanningConfigurationEnum","description":"PackingScanningConfigurationEnum"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/packing":{"patch":{"description":"","operationId":"upsertPackingConfigurations","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackingConfigurations"}}},"description":"create/update packing central configuration","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackingConfigurations"}}},"description":"The packing central configuration was successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackingConfigurations"}}},"description":"The packing central configuration was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update packing config","tags":["Packing Configuration (Operations)"]}}}}
```

## Get packing container required config

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Deprecated, replaced with /api/configurations/packing

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read packing configuration.","name":"Packing Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PackingContainerRequiredConfiguration":{"additionalProperties":false,"description":"Packing Container Required Configuration.","properties":{"active":{"default":false,"type":"boolean"}},"required":["active"],"title":"PackingContainerRequiredConfiguration","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/packing/containerrequired":{"get":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deprecated, replaced with /api/configurations/packing","operationId":"getPackingContainerRequirement","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackingContainerRequiredConfiguration"}}},"description":"The requirement of containers in packing can be found in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get packing container required config","tags":["Packing Configuration (Operations)"]}}}}
```

## Update packing container required config

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Deprecated, will be replaced with /api/configurations/packing

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read packing configuration.","name":"Packing Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PackingContainerRequiredConfiguration":{"additionalProperties":false,"description":"Packing Container Required Configuration.","properties":{"active":{"default":false,"type":"boolean"}},"required":["active"],"title":"PackingContainerRequiredConfiguration","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/packing/containerrequired":{"put":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deprecated, will be replaced with /api/configurations/packing","operationId":"putPackingContainerRequirement","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackingContainerRequiredConfiguration"}}},"description":"Validation picking scan code to activate/deactivate","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackingContainerRequiredConfiguration"}}},"description":"The packing container requirement configuration was successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackingContainerRequiredConfiguration"}}},"description":"The packing container requirement configuration was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update packing container required config","tags":["Packing Configuration (Operations)"]}}}}
```

## GET /api/configurations/tags/packjob

> Get pack jobs tag config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read packing configuration.","name":"Packing Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PackJobTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/TagConfiguration"},{"properties":{"lineItemStickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"},"packJobCreationPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/PackJobCreationPerTag"},"type":"array"},"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}},"required":["packJobCreationPerTag"],"type":"object"}],"title":"PackJobTagConfiguration","description":"PackJobTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"PackJobCreationPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"type":"array"},"packJobCreationDisabled":{"type":"boolean"},"tagRef":{"type":"string"}},"required":["packJobCreationDisabled","matchingValues","tagRef"],"type":"object","title":"PackJobCreationPerTag","description":"PackJobCreationPerTag"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/packjob":{"get":{"description":"","operationId":"getPackJobTagConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackJobTagConfiguration"}}},"description":"Packjob tag config is in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get pack jobs tag config","tags":["Packing Configuration (Operations)"]}}}}
```

## PUT /api/configurations/tags/packjob

> Update pack jobs tag config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read packing configuration.","name":"Packing Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PackJobTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/TagConfiguration"},{"properties":{"lineItemStickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"},"packJobCreationPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/PackJobCreationPerTag"},"type":"array"},"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}},"required":["packJobCreationPerTag"],"type":"object"}],"title":"PackJobTagConfiguration","description":"PackJobTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"PackJobCreationPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"type":"array"},"packJobCreationDisabled":{"type":"boolean"},"tagRef":{"type":"string"}},"required":["packJobCreationDisabled","matchingValues","tagRef"],"type":"object","title":"PackJobCreationPerTag","description":"PackJobCreationPerTag"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/packjob":{"put":{"description":"","operationId":"putPackJobTagConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackJobTagConfiguration"}}},"description":"Desired PackJobTagConfiguration","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackJobTagConfiguration"}}},"description":"The packing configuration was successfully updated."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update pack jobs tag config","tags":["Packing Configuration (Operations)"]}}}}
```

## POST /api/tags/packing/needspacking

> Get needs packing for tags

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read packing configuration.","name":"Packing Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"NeedsPacking":{"properties":{"needsPacking":{"type":"boolean"}},"required":["needsPacking"],"type":"object","title":"NeedsPacking","description":"NeedsPacking"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/tags/packing/needspacking":{"post":{"description":"","operationId":"getNeedsPacking","requestBody":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/TagReference"}}}}},"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/NeedsPacking"}}}},"description":"NeedsPacking information for this tag was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get needs packing for tags","tags":["Packing Configuration (Operations)"]}}}}
```
